;--- radiohlam.ru ---
;size	 acronime		  IRQN	  Offset	   description
dcd		Stack_top		;	-	0x00000000 - адрес начала стека
dcd		Reset			;	-	0x00000004 - начало программы
dcd		NMI				;	-	0x00000008 - немаскируемое прерывание
dcd		HardFault		;	-	0x0000000C - тяжёлый отказ
dcd		MemManageFault	;	-	0x00000010 - отказ системы управления памятью
dcd		BusFault		;	-	0x00000014 - отказ шины
dcd		UsageFault		;	-	0x00000018 - отказ программы
dcd			reserved1	;	-	0x0000001C - зарезервировано
dcd			reserved2	;	-	0x00000020 - зарезервировано
dcd			reserved3	;	-	0x00000024 - зарезервировано
dcd			reserved4	;	-	0x00000028 - зарезервировано
dcd		SVCall			;	-	0x0000002C - вызов супервизора
dcd		Debug_Monitor	;	-	0x00000030 - исключение монитора отладки
dcd			reserved5	;	-	0x00000034 - зарезервировано
dcd		PendSV			;	-	0x00000038 - запрос системной службы
dcd		SysTick			;	-	0x0000003C - системный таймер
dcd		WWDG			;	0	0x00000040 - оконный собачий таймер
dcd		PVD				;	1	0x00000044 - программируемый детектор напряжения (линия 16 модуля EXTI)
dcd		TAMPER			;	2	0x00000048 - прерывание от события TAMPER
dcd		RTC				;	3	0x0000004C - глобальное прерывание от часов реального времени
dcd		FLASH			;	4	0x00000050 - любое немаскированное прерывание от модуля FSMC
dcd		RCC				;	5	0x00000054 - любое немаскированное прерывание от модуля RCC
dcd		EXTI0			;	6	0x00000058 - прерывание от линии 0 модуля EXTI (PA0, PB0, PC0, PD0, PE0, PF0, PG0)
dcd		EXTI1			;	7	0x0000005C - прерывание от линии 1 модуля EXTI (PA1, PB1, PC1, PD1, PE1, PF1, PG1)
dcd		EXTI2			;	8	0x00000060 - прерывание от линии 2 модуля EXTI (PA2, PB2, PC2, PD2, PE0, PF2, PG2)
dcd		EXTI3			;	9	0x00000064 - прерывание от линии 3 модуля EXTI (PA3, PB3, PC3, PD3, PE3, PF3, PG3)
dcd		EXTI4			;	10	0x00000068 - прерывание от линии 4 модуля EXTI (PA4, PB4, PC4, PD4, PE4, PF4, PG4)
dcd		DMA1_Channel1	;	11	0x0000006C - любое немаскированное прерывание от канала 1 модуля DMA1
dcd		DMA1_Channel2	;	12	0x00000070 - любое немаскированное прерывание от канала 2 модуля DMA1
dcd		DMA1_Channel3	;	13	0x00000074 - любое немаскированное прерывание от канала 3 модуля DMA1
dcd		DMA1_Channel4	;	14	0x00000078 - любое немаскированное прерывание от канала 4 модуля DMA1
dcd		DMA1_Channel5	;	15	0x0000007C - любое немаскированное прерывание от канала 5 модуля DMA1
dcd		DMA1_Channel6	;	16	0x00000080 - любое немаскированное прерывание от канала 6 модуля DMA1
dcd		DMA1_Channel7	;	17	0x00000084 - любое немаскированное прерывание от канала 7 модуля DMA1
dcd		ADC1_2			;	18	0x00000088 - любое немаскированное прерывание от модулей ADC1, ADC2
dcd		USB_HP_CAN_TX	;	19	0x0000008C - высокоприоритетные прерывания от USB или от передатчика модуля CAN
dcd		USB_HP_CAN_RX0	;	20	0x00000090 - низкоприоритетные прерывания от USB или от приёмного буфера FIFO_0 модуля CAN
dcd		CAN_RX1			;	21	0x00000094 - прерывание от приёмного буфера FIFO_1 модуля CAN
dcd		CAN_SCE			;	22	0x00000098 - прерывание от события CAN Status Change Error
dcd		EXTI9_5			;	23	0x0000009C - прерывание от линий [9:5] модуля EXTI
dcd		TIM1_BRK		;	24	0x000000A0 - прерывание по событию Break модуля TIM1
dcd		TIM1_UP			;	25	0x000000A4 - прерывание по событию Update модуля TIM1
dcd		TIM1_TRG_COM	;	26	0x000000A8 - прерывание от триггера или события COM модуля TIM1
dcd		TIM1_CC			;	27	0x000000AC - прерывание от события захват/сравнение модуля TIM1
dcd		TIM2			;	28	0x000000B0 - любое прерывание от модуля TIM2
dcd		TIM3			;	29	0x000000B4 - любое прерывание от модуля TIM3
dcd		TIM4			;	30	0x000000B8 - любое прерывание от модуля TIM4
dcd		I2C1_EV			;	31	0x000000BC - прерывание от события event модуля I2C1
dcd		I2C1_ER			;	32	0x000000C0 - прерывание от события error модуля I2C1
dcd		I2C2_EV			;	33	0x000000C4 - прерывание от события event модуля I2C2
dcd		I2C2_ER			;	34	0x000000C8 - прерывание от события error модуля I2C2
dcd		SPI1			;	35	0x000000CC - прерывание от модуля SPI1
dcd		SPI2			;	36	0x000000D0 - прерывание от модуля SPI2
dcd		USART1			;	37	0x000000D4 - прерывание от модуля USART1
dcd		USART2			;	38	0x000000D8 - прерывание от модуля USART2
dcd		USART3			;	39	0x000000DC - прерывание от модуля USART3
dcd		EXTI15_10		;	40	0x000000E0 - прерывание от линий [15:10] модуля EXTI
dcd		RTCAlarm		;	41	0x000000E4 - прерывание от события RTC alarm (линия 17 модуля EXTI)
dcd		USBWakeup		;	42	0x000000E8 - прерывание от события USB wakeup from suspend (линия 18 модуля EXTI)
dcd		TIM8_BRK		;	43	0x000000EC - прерывание по событию Break модуля TIM8
dcd		TIM8_UP			;	44	0x000000F0 - прерывание по событию Update модуля TIM8
dcd		TIM8_TRG_COM	;	45	0x000000F4 - прерывание от триггера или события COM модуля TIM8
dcd		TIM8_CC			;	46	0x000000F8 - прерывание от события захват/сравнение модуля TIM8
dcd		ADC3			;	47	0x000000FC - прерывание от модуля ADC3
dcd		FSMC			;	48	0x00000100 - прерывание от модуля FSMC
dcd		SDIO			;	49	0x00000104 - прерывание от модуля SDIO
dcd		TIM5			;	50	0x00000108 - прерывание от модуля TIM5
dcd		SPI3			;	51	0x0000010C - прерывание от модуля SPI3
dcd		UART4			;	52	0x00000110 - прерывание от модуля UART4
dcd		UART5			;	53	0x00000114 - прерывание от модуля UART5
dcd		TIM6			;	54	0x00000118 - прерывание от модуля TIM6
dcd		TIM7			;	55	0x0000011C - прерывание от модуля TIM7
dcd		DMA2_Channel1	;	56	0x00000120 - прерывание от канала Channel1 модуля DMA2
dcd		DMA2_Channel2	;	57	0x00000124 - прерывание от канала Channel2 модуля DMA2
dcd		DMA2_Channel3	;	58	0x00000128 - прерывание от канала Channel3 модуля DMA2
dcd		DMA2_Channel4_5	;	59	0x0000012C - прерывание от каналов Channel4 и Channel5 модуля DMA2